flex builder 4 一些配置环境的问题(版本、连接调试器 57%等)

       以下问题是针对flex小白,对遇到相关问题的新手会有帮助,当然楼主自己也是小白一个,只是解决了一些新手容易犯的错误而已。好了闲话不多说了,看问题吧

 1. 装了flex builder 4是不是还要装flex sdk呢 ?

答:不用,装了flex builder 4直接会安装上sdk的,sdk顾名思义是开发包,这点可想而知。一般情况会默认的安装相应版本的sdk,不过如果需要其他版本的sdk,则需要另行安装,如sdk4.5和4.6等等,然后通过Flex环境加载上来即可。

2. 关于flex builder 4的flash player的版本是什么?调试的时候遇到版本不对怎么办?

答:打开安装目录里的player\win\里面的文件,一般,在安装的时候,flex builder会将自己的版本一起放在这里,不需要另外下载什么所谓的新的flash player ,这点需要注意。另外,调试的时候最好选择IE作为调试浏览器。

3.调试和运行有什么不一样?

答:一般选择调试,举个例子,我自啊程序中设一个断点,用调试的时候可以执行到断点,用运行,不会执行断点了。(如button的点击事件,不影响程序正常启动)。

4.关于“正在等待Adobe Flash Player连接调试器”的问题 ?

答:不是你没有装调试器,而是你的浏览器不识别他,在:窗口(window)->首选参数(Preference)- > 常规(General)- > Web浏览器(Web Browser)  ,将IE选为调试浏览器。

 5.关于启动FB时候出现failed to create the java virtual machine的错误提示:
http://hi.baidu.com/just_jee/item/3d8db7170c4efa5df0090e3f

6.本来好用的项目,为什么安装完没有办法直接运行呢?

答:多半是环境问题,即SDK的问题,由于Flex 的SDK非常多,一定要看清楚源代码的编译环境,因为开发调试的时候用的Flex Builder版本和自己机子上的版本不一样,很容易造成错误一大推的情况

阅读更多
个人分类: flex学习
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭